include::include/header.adoc[]

== Name

bite-redmine - Redmine service support

== Synopsis

*bite redmine* [<options>] <command> [<args>]::
    Run a redmine subcommand.

*bite redmine* [-h|--help]::
    Output help information.

== Description

Redmine service support.

include::include/global-options.adoc[]

include::include/service-options.adoc[]

== Authentication

*-k, --key*::
	Set the API key for service access.

*-u, --user*::
	Set the username for service access.

*-p, --password*::
	Set the password for service access.

== Environment variables

*BUGBITE_KEY*::
	Set the API key for service access.

*BUGBITE_USER*::
	Set the username for service access.

*BUGBITE_PASS*::
	Set the password for service access.

== Subcommands

linkcmd:bite-redmine-get[1]::
	get issues

linkcmd:bite-redmine-search[1]::
	search issues

== Configuration

See the example below for a valid config including authentication information
with descriptions of the custom service fields in comments:

.Config example
....
type = "redmine"
name = "ruby"
base = "https://bugs.ruby-lang.org/"

# username for authentication
user = "bugbite@bugbite.test"

# password for authentication
password = "bugbite"

# API key for authentication
key = "a-random-api-key"

# maximum number of results allowed per search request
max_search_results = 1000
....

== See Also

linkcmd:bite[1]
